import {requestInstance} from "@/service";
import {useRootStore} from "@/stores/useStore";
import {UserInfo} from "@/unit/UserInfo";

export function getUnitManageHomeTableDataSpace(params){
 return requestInstance({
  url:'/ptjkInterface/selectSystemUnitKjPageList',
  data:{
   ...params
  }
 })
}
export function getUnitManageHomeTableDataZw(params){
 return requestInstance({
  url:'/ptjkInterface/selectSystemUnitFkjPageList',
  data:{
   ...params
  }
 })
}
export function getUnitManageDetailTableDataSpace(a_code){
 return requestInstance({
  url:'/ptjkInterface/selectKjUnitByCode',
  data:{
   a_code
  }
 })
}
export function getUnitManageDetailTableDataZw(a_code){
 return requestInstance({
  url:'/ptjkInterface/selectFkjUnitByCode',
  data:{
   a_code
  }
 })
}
export function getDetailUnitListSpace(params) {
 return requestInstance({
  url:'/ptjkInterface/selectKjUnitList',
  data:{
   ...params
  }
 })
}
export function getDetailUnitDListZw(params) {
 return requestInstance({
  url:'/unit/getZymlUnit',
  data:{
   ...params
  }
 })
}
export function getDetailUnitListZw(params) {
 return requestInstance({
  url:'/ptjkInterface/selectFkjUnitList',
  data:{
   ...params
  }
 })
}
export function getUnitManageDetailAllIndustry(params){
 return requestInstance({
  url:'/ptjkInterface/selectKjUnitSshy',
  data:{
   ...params
  }
 })
}
export function addUnitInfoSpace(params){
 return requestInstance({
  url:'/ptjkInterface/addKjSystemUnit',
  data:{
   ...params
  }
 })
}export function editUnitInfoSpace(params){
 return requestInstance({
  url:'/ptjkInterface/editKjSystemUnit',
  data:{
   ...params
  }
 })
}
export function addUnitInfoZw(params){
 return requestInstance({
  url:'/ptjkInterface/addZymlUnit',
  data:{
   ...params
  }
 })
}export function editUnitInfoZw(params){
 return requestInstance({
  url:'/ptjkInterface/editZymlUnit',
  data:{
   ...params
  }
 })
}
export function getZwUnitSpaceArea() {
 return requestInstance({
  url:'/ywtb-town-config/selectYwtbTownConfig',
  data:{

  }
 })
}
export function getSpaceUserDetail(params){
 return requestInstance({
  url:'/ptjkInterface/selectUserInfoByUserId',
  data:{
   ...params
  }
 })
}
export function getZwUserDetail(params){
 return requestInstance({
  url:'/ptjkInterface/selectZymlUserinfo',
  data:{
   ...params
  }
 })
}
export function updateSpaceUserInfo(params){
 return requestInstance({
  url:'/ptjkInterface/editSystemYhgl',
  data:{
   ...params
  }
 })
}
export function addSpaceUserInfo(params){
 return requestInstance({
  url:'/ptjkInterface/addSystemYhgl',
  data:{
   ...params
  }
 })
}
export function updateZwUserInfo(params){
 return requestInstance({
  url:'/ptjkInterface/editZymlYhgl',
  data:{
   ...params
  }
 })
}
export function addZwUserInfo(params){
 return requestInstance({
  url:'/ptjkInterface/addZymlYhgl',
  data:{
   ...params
  }
 })
}
export function validateUseName(a_username){
 return requestInstance({
  url:'/ptjkInterface/selectUserinfoByUserName',
  data:{
   a_username,
   appkey:new UserInfo().GetUserKeyCode()
  }
 })
}
export function validateUseNameZw(a_username){
 return requestInstance({
  url:'/ptjkInterface/selectZwmlUserName',
  data:{
   a_username,
   appkey:new UserInfo().GetUserKeyCode()
  }
 })
}
export function delSpaceUserInfo(a_code){
 return requestInstance({
  url:'/ptjkInterface/removeKjUnit',
  data:{
   a_code
  }
 })
}
export function delUserInfoZw(a_code){
 return requestInstance({
  url:'/ptjkInterface/removeFkjUnit',
  data:{
   a_code
  }
 })
}
export function getZwUnitSetRegion(a_code){
 return requestInstance({
  url:'/cstj-unit-executive-level/selectCstjUnitExecutiveLevelByUnitCode',
  data:{
   a_code,
   appkey:new UserInfo().GetUserKeyCode()
  }
 })
}
